SFEED_WEB(1)

NAME
sfeed_web - finds URLs to feeds from a HTML webpage

SYNOPSIS
sfeed_web [baseurl]

DESCRIPTION
sfeed_web reads the HTML data of the webpage from stdin and writes the found URLs to stdout.

Such a link reference in HTML code looks like:

    <link rel="alternate" href="atom.xml" type="application/atom+xml" />

OPTIONS

baseurl
    Optional base URL to use for found feed URLs that are relative.

OUTPUT FORMAT
url<TAB>content-type<newline>

URL Found relative or absolute URL.

    For relative URLs if a <base href="..." /> tag is found it will be used, otherwise if the baseurl option is specified then that is used, if neither are set then the relative URL is printed.

content-type
    Usually application/atom+xml or application/rss+xml.

EXIT STATUS

EXAMPLES
Get URLs from a website:

    curl -s -L 'https://codemadness.org/' | sfeed_web 'https://codemadness.org/'

SEE ALSO
sfeed_update(1), sh(1)

AUTHORS
Hiltjo Posthuma <hiltjo@codemadness.org>